> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quotealternatives

> Quote alternative selector for one Quote Version. Send QuoteVersionId=&lt;id&gt; in ExtraInfo to specify quote version id

## "quotealternatives" MDO List

Quote alternative selector for one Quote Version. Send QuoteVersionId=\<id> in ExtraInfo to specify quote version id

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteAlternativeProvider">QuoteAlternativeProvider</see> class.
The name of the MDO list is 'quotealternatives'.

## Additional Attributes

| Description                                             | Name           | Example Value |
| ------------------------------------------------------- | -------------- | ------------- |
| The quote version we want to list the alternatives for. | QuoteVersionId | 321           |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quotealternatives
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quotealternatives", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "quotealternativesheadings"
* "quotealternativesheadingswithallitem"
* "quotealternativesheadingswithallitemwithnoselection"
* "quotealternativesheadingswithnoselection"
* "quotealternativeswithallitem"
* "quotealternativeswithallitemwithnoselection"
* "quotealternativeswithnoselection"


## Related topics

- [QuoteAlternative table](/en/database/tables/quotealternative.md)
- [SuperOffice.WebApi.Data.QuoteAlternative](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteAlternative.md)
- [QuoteAlternativeInfo](/en/api/plugins/quote-connectors/api/data-carriers/quotealternativeinfo.md)
- [QuoteAlternativeContextInfo](/en/api/plugins/quote-connectors/api/data-carriers/quotealternativecontextinfo.md)
- [QuoteAlternativeWithLinesInfo](/en/api/plugins/quote-connectors/api/data-carriers/quotealternativewithlinesinfo.md)
- [SuperOffice.WebApi.Agents.QuoteAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.QuoteAgent.md)
